<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/jquery-ui.js"></script>
<?php
$registry = $this->getRegistry();

// appel fichier internationalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();

$elementrecueillis->noLimit();

?>
	<script type='text/javascript'>
	var sZeroRecords = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_error')) ; ?>"
	var sSearch = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale')) ; ?> :"
</script>
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/fsn_tools/table_module.js"></script>
<script type='text/javascript'>
	function afficherEmplacement(idER, numero) {
		$.ajax({
		  	type:"POST",
			url: "<?php echo $this->getRequest('elementrecueilli', 'ajaxAfficherEmplacement') ; ?>",
			data:"idER=" + idER + "&numero=" + numero,
	  			success: function(returnData) {
	    				// Affichage du modal (boite de dialogue)
	    				$('#modalTitle').html("Emplacement actuel de : " + numero);
	    				$('#modalBody').html(returnData);
	    				$('#myModal').modal();
	    				if(returnData.error)

	      					alert(returnData.error);

	   			},
	   			error: function(returnData) {
	    				alert('Une erreur est survenue.'); 
	   			}
	  		});
		}
	
	function associer(id, numero) {
		var traitement_id = null ;
		  $.ajax({
				type:"POST",
				url: "<?php echo $this->getRequest('elementrecueilli', 'ajaxAssocier') ; ?>",
				data:"action=consulter&idER=" + id + "&traitement_id=" + traitement_id + "&numeroER=" + numero,
				success: function(returnData) {
		  			// Affichage du modal (boite de dialogue)
		  			$('#modalTitle').html("Association de l'élément recueilli (" + numero + " comme élément après traitement)") ;
		  			$('#modalBody').html(returnData);
		  			//$('#myModal').css('width', '800px');
		  			$('#myModal').modal();
// jfb 2016-06-03 HEAD
		  			if(returnData.error) 
						alert(returnData.error);
// jfb 2016-06-03 upstream dev
		 		},
		 		error: function(returnData) {
		  			alert('Une erreur est survenue.');
		 		}
			});
	}
	
	function confirmer(url) {
		if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
			document.location.href = url ;
		}
	}
	
	$(document).ready(function() { 
		$("#btn_ajouter").click(function() {
			if ($("#us_id").val() == "") {
				alert("Veuillez choisir une unité stratigraphique !") ;
			} else {
				document.location.href="<?php echo $this->getRequest("elementrecueilli", "add") . "?idUS=" . $us_id ; ?>" ;
			}
		}) ;
			
		$("#btn_qrcode").click(function() {
			var checked = false ;
			for (i = 0 ; i < $(".coche").length ; i++)
				if ($(".coche")[i].checked)
					checked = true ;
			if (checked)
				$("#form_qrcode").submit() ;
			else
				alert("Veuillez sélectionner un/plusieurs élément(s) recueilli(s) !") ;
		}) ;
		
		$("#all").change(function() {
			$(".coche").prop('checked', $(this).prop("checked"));
		}) ;
	}) ;
</script>

<!-- Début listes de filtrages -->

<div>
	<form id="form_selection" method="POST" action="index">  
		<table class="gestion_table">
			<tr class="table_head gestion_bordures">
				<th class="th_center" style="width:15%">Unité stratigraphique</th>
				<td class="txt-position-15" style="width:15%">
					<select class="color inputColor select-style-gestion-us" id="us_id" name="us_id" onChange="$('#form_selection').submit();">
						<option value="">Tous les US</option>
						<?php 
							foreach($uses as $u) {
								$sel = ($u->get('id') == $us_id) ? "selected='selectedd'" : "" ;
								echo "<option value='" . $u->get("id") . "' $sel >" . $u->get("identification", $filter_html) . "</option>" ;
							} 
						?>
					</select>
				</td>
				<th class="th_center" style="width:15%">Type d'élément</th>
				<td class="txt-position-15" style="width:15%">
					<select class="color inputColor select-style-gestion-us" id="filtre_el" name="filtre_el" onChange="$('#form_selection').submit();">
						<option value="">Tous les éléments</option>
						<?php 
							foreach($filtres as $i => $v) {
								$sel = ($i == $filtre_el)  ? "selected='selected'" : "" ;
								echo "<option value='$i' $sel>$v</option>" ;
							}
						?>
					</select>
				</td>
			</tr>
		</table>
	</form>
</div>

<!-- Fin listes de filtrages -->

<form id="form_qrcode" method="post" target="_blank" action="<?php echo $this->getRequest('elementrecueilli', 'genererQRCode') ; ?>">
<div class="table-responsive">
	<div id="optiontools"></div>

	<div id="table_elementrecueillis_index_wrapper">
		<table id="table_elementrecueillis_index"
			   class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption>
				<?php echo $filter_no_html->filter( $i18n -> say('elementrecueilli_title_index')) ; ?>
			</caption>
			<thead>
			<tr class="headings">
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('numero')) ; ?>
				</th>
				<th>
					<?php echo $filter_html->filter( $i18n->say('classe_id')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('elementrecueilli_naturematiere')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('fonction_id')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('description')) ; ?>
				</th>
				<th>
					<input type="checkbox" id="all" class="form-control checkbox" />
				</th>
				<th>
					<span class="glyphicon glyphicon-qrcode" id="btn_qrcode" alt="Imprimer QRCode" title="Imprimer QRCode"></span>
				</th>
				<th></th>
				<th></th>
				<th>
					<span class="glyphicon glyphicon-plus-sign" id="btn_ajouter" alt="ajouter" title="Ajouter" style="font-size: 32px;"></span>
				</th>
				<th></th>
			</tr>
			</thead>
			<tbody>
			<?php 
				$params = array() ;
				foreach($elementrecueillis as $er){
				$params["id"] = $er->get('id') ;
 			?>
			<tr
					href="<?php echo $this->getRequest('elementrecueilli', 'show', $params); ?>"
					title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"
					class="table-clickable-row">

				<td class="table-row-data">
					<?php echo $er->get('numero', $filter_html); ?>
					<?php 
						/*$numero = explode('.', $er->get('numero', $filter_html));
						$numero[0] = $er->get('nomabrege', $filter_html);					
						try{
							for($i=0; $i<sizeof($numero) -1; $i++){
								if(!isset($numero[$i])) throw new Exeption();
								else echo $numero[$i].'.';								
							} 
							echo $numero[sizeof($numero) -1];
						}catch(Exception $e){
							echo $er->get('nomabrege', $filter_html).'.'; 
						}*/
					?>
				</td>
				<td class="table-row-data">
					<?php echo $er->get('classe', $filter_html); ?>
				</td>
				<td class="table-row-data">
					<?php echo $er->get("nmp", $filter_html) ; ?>
				</td>
				<td class="table-row-data">
					<?php echo $er->get('fonction', $filter_html); ?>
				</td>

				<td class="table-row-data">
					<?php echo $er->get('description', $filter_html); ?>
				</td>
				
				<td class="table-row-option">
					<input type="checkbox" name="qrcodes[]" class="form-control checkbox coche" value="<?php echo $er->get("id"); ?>" />
				</td>
				
				<td class="table-row-option">
					<?php if (!is_null($er->get('emplacement_id')) || !is_null($er->get('conteneur_id'))) { 
					?>
						<span
							class="glyphicon glyphicon-object-align-left" style="font-size: 18px;"
							onclick="afficherEmplacement('<?php echo $er->get("id") ; ?>', '<?php echo $er->get('numero', $filter_html) ; ?>');"
							alt="Emplacement" title="Emplacement"></span>
					<?php } ?>
				</td>
				<td class="table-row-option"><a
						href="<?php echo $this->getRequest('traitement', 'index') . "?ER=" . $er->get("id") ; ?>"><span
						class="glyphicon glyphicon-text-size" style="font-size: 18px;"
						alt="Traitement" title="Traitement"></span></a></td>
						
				<td class="table-row-option">
					<span class="glyphicon glyphicon-random" style="font-size: 18px;" onclick="associer('<?php echo $er->get('id') ; ?>', '<?php echo $er->get('numero', $filter_html) ; ?>');" alt="Associer" title="Associer"></span>
				</td>

				<td class="table-row-option"><a
						href="<?php echo $this->getRequest('elementrecueilli', 'edit', $params); ?>"><span
						class="glyphicon glyphicon-edit" style="font-size: 18px;"
						alt="Editer" title="Editer"></span></a></td>
				<td class="table-row-option">
					<span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;" onclick="confirmer('<?php echo $this->getRequest('elementrecueilli', 'delete', $params); ?>');" alt="Supprimer" title="Supprimer"></span>
				</td>
			</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
</div>
</form>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
			href="<?php echo $this->getRequest('Index', 'index'); ?>"
			class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>
